File Upload

This endpoint uploads a file to TetraScience Cloud. It requires a user-defined agent set up in the TetraScience Web UI. API users can use it to upload, manage their files, and trigger pipelines.

Maximum payload size: 500MB

Validations performed by this endpoint:

  1. agentId must be a valid ID of the user defined agent (UDA)
  2. param sourceType must contain only lower case alphanumerical characters and dashes
  3. params metadata and tags must contain only ASCII characters; tags values cannot contain comma and values must be unique
  4. params metadata and tags together as JSON objects must have less than 1.5KB of text (1536 characters)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

This is the sourceId for a user-defined integration. Need to copy from the TetraScience Web UI where the user-defined integration is created. For existing TetraScience Agent who can connect to TetraScience Cloud directly, provide the agentId to this field.

string
enum
Defaults to TetraScience.Agent.user-defined

Type of agent, in the form TetraScience.Agent.file-log, TetraScience.Agent.empower, etc. If provided, object in data lake will have the metadata value agent in the form of agent agentVersion (for example, `TetraScience.Agent.file-log v4.3.0')

Allowed:
string

Version of the agent that's uploading the file (for example, v4.3.0)

string
Defaults to unknown

If provided, this field will overwrite the sourceType configured in the TetraScience Web UI. Default value: unknown A valid sourceType string can contain only alphanumeric characters in lower case letters and dash. Any other character will trigger validation error.

string
enum
Defaults to RAW

The file category of the uploaded file, included in the datalake path.

Allowed:
string

If provided, it must be a valid and unique UUID. If not provided, platform will generate unique UUID value.

string

A valid UUID, if provided. If not present, system will use the fileId value

string
required

Required. An example of filePath can be /experiment_2/sample a/result.pdf

file
required

Content of a single file to upload

string
Defaults to false

If set to true, indicates the file content is gzip compressed. If false or omitted, the content will be gzipped during upload. Default value: false.

string

JSON string as {"key", "value"}. The metadata and value will overwrite metadata defined for the user-defined integration in the TetraScience Web UI. Validations: fields and values must contain only ASCII characters; values must be either string or null values.

string

JSON string as ["tag 1", "tag 2"]. Validations: values must contain only ASCII characters; value must not have comma (,); values must be unique

string

JSON string as [{"name":"label name", "value":"label value"}]. The labels will join the agent defined labels. Validations: Names can include any unicode characters, except line breaks. They cannot be empty, and they have a maximun length of 128 characters. Values can include any unicode characters, except line breaks, and they cannot be empty.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json